table "incentive_subscriptions" {
  schema = schema.carpool_incentives
  column "id" {
    null = false
    type = uuid
  }
  column "incentive_id" {
    null = false
    type = text
  }
  column "user_id" {
    null = false
    type = text
  }
  column "identity_verification_ids" {
    null = true
    type = sql("text[]")
    default = sql("array[]::text[]")
  }
  column "data" {
    null = false
    type = jsonb
  }
  column "declined" {
    null = true
    type = boolean
  }
  column "subscription_datetime" {
    null = true
    type = timestamptz
    default = sql("now()")
  }
  primary_key {
    columns = [column.id]
  }
}
schema "carpool_incentives" {
}
